Skip to content

Update 'Folder'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
Bodyapplication/json
namestring, [ 3 .. 255 ] charactersrequired
contains_files_with_personal_databooleanrequired
notation_content_typeobject(Innehållstyp)required

Additional Validation Information:

This value must be set together with the following fields: notation_object_id

notation_object_idstring, (uuid)required

Additional Validation Information:

This value must be set together with the following fields: notation_content_type

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
colorstring or null, <= 7 characters'^(?:[0-9a-fA-F]{3}){1,2}$'
folderobject or null(Folder)
access_shareobject or null(FileAccessShare)
privateboolean
PATCH
/documents/filehandling/folder/{pk}/
curl -i -X PATCH \
  'https://dev.api.pigello.io/documents/filehandling/folder/{pk}/' \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "custom_id": "string",
    "name": "string",
    "color": "string",
    "folder": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "contains_files_with_personal_data": true,
    "access_share": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "private": true,
    "notation_content_type": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "notation_object_id": "6eb2c520-3187-4289-a8b8-c2ab0582af19"
  }'

Responses

Successful update

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

namestring, [ 3 .. 255 ] charactersrequired
contains_files_with_personal_databooleanrequired
notation_content_typeobject(Innehållstyp)required

Additional Validation Information:

This value must be set together with the following fields: notation_object_id

notation_object_idstring, (uuid)required

Additional Validation Information:

This value must be set together with the following fields: notation_content_type

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
colorstring or null, <= 7 characters'^(?:[0-9a-fA-F]{3}){1,2}$'
folderobject or null(Folder)
created_byobject or null(OrganizationUser)read-only
access_shareobject or null(FileAccessShare)
privateboolean
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "color": "string", "folder": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "contains_files_with_personal_data": true, "created_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "access_share": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "private": true, "notation_content_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "notation_object_id": "6eb2c520-3187-4289-a8b8-c2ab0582af19" }